<button
  class="mdl-button minds-more mdl-button--icon mdl-color-text--blue-grey-300"
  (click)="cardMenuHandler()"
>
  <i class="material-icons">keyboard_arrow_down</i>
</button>

<ul class="minds-dropdown-menu" [hidden]="!opened">
  <li
    class="mdl-menu__item"
    *ngIf="options.indexOf('view') !== -1"
    (click)="selectOption('view')"
    i18n="@@M__ACTION__VIEW"
  >
    View
  </li>
  <li
    class="mdl-menu__item"
    *ngIf="
      (options.indexOf('edit') !== -1 &&
        entity.owner_guid == session.getLoggedInUser().guid) ||
      session.isAdmin()
    "
    (click)="selectOption('edit')"
    i18n="@@M__ACTION__EDIT"
  >
    Edit
  </li>
  <li
    class="mdl-menu__item"
    *ngIf="options.indexOf('share') !== -1"
    (click)="openShareModal()"
    i18n="@@M__ACTION__SHARE"
  >
    Share
  </li>
  <li
    class="mdl-menu__item"
    *ngIf="options.indexOf('translate') !== -1 && isTranslatable"
    (click)="selectOption('translate')"
    i18n="@@M__ACTION__TRANSLATE"
  >
    Translate
  </li>
  <!-- FEATURE -->
  <ng-container *ngIf="options.indexOf('feature') !== -1">
    <li
      class="mdl-menu__item"
      *ngIf="!entity.featured && session.isAdmin()"
      (click)="feature()"
      i18n="@@M__ACTION__FEATURE"
    >
      Feature
    </li>
    <li
      class="mdl-menu__item"
      *ngIf="entity.featured && session.isAdmin()"
      (click)="unFeature()"
      i18n="@@COMMON__POST_MENU__UNFEATURE"
    >
      un-Feature
    </li>
  </ng-container>
  <!-- MONETIZE -->
  <ng-container *ngIf="options.indexOf('monetize') !== -1">
    <li
      class="mdl-menu__item"
      *ngIf="!entity.monetized && session.isAdmin()"
      (click)="monetize()"
      i18n="@@COMMON__POST_MENU__MONETIZE"
    >
      Monetize
    </li>
    <li
      class="mdl-menu__item"
      *ngIf="entity.monetized && session.isAdmin()"
      (click)="unMonetize()"
      i18n="@@COMMON__POST_MENU__UNMONETIZE"
    >
      un-Monetize
    </li>
  </ng-container>
  <!-- SUBSCRIBE -->
  <ng-container *ngIf="options.indexOf('subscribe') !== -1">
    <li
      class="mdl-menu__item"
      *ngIf="
        (entity.type === 'user' &&
          !entity.subscribed &&
          session.getLoggedInUser().guid !== entity.guid) ||
        (entity.type !== 'user' &&
          !entity.ownerObj.subscribed &&
          entity.ownerObj.guid !== session.getLoggedInUser().guid)
      "
      (click)="subscribe()"
      i18n="@@M__ACTION__SUBSCRIBE"
    >
      Subscribe
    </li>
    <li
      class="mdl-menu__item"
      *ngIf="
        (entity.type === 'user' &&
          entity.subscribed &&
          session.getLoggedInUser().guid !== entity.guid) ||
        (entity.type !== 'user' &&
          entity.ownerObj.subscribed &&
          entity.ownerObj.guid !== session.getLoggedInUser().guid)
      "
      (click)="unSubscribe()"
      i18n="@@COMMON__POST_MENU__UNSUBSCRIBE"
    >
      Unsubscribe
    </li>
  </ng-container>
  <!-- DELETE -->
  <li
    class="mdl-menu__item"
    *ngIf="
      (options.indexOf('delete') !== -1 &&
        entity.owner_guid == session.getLoggedInUser().guid) ||
      session.isAdmin() ||
      canDelete
    "
    (click)="deleteToggle = true"
    i18n="@@M__ACTION__DELETE"
  >
    Delete
  </li>
  <!-- REPORT -->
  <li
    class="mdl-menu__item"
    *ngIf="
      options.indexOf('report') !== -1 &&
      entity.owner_guid != session.getLoggedInUser().guid
    "
    (click)="report()"
    i18n="Report as notify something@@M__ACTION__REPORT"
  >
    Report
  </li>
  <!-- NOTIFICATIONS -->
  <ng-container *ngIf="options.indexOf('follow') !== -1">
    <li
      class="mdl-menu__item"
      *ngIf="!asyncFollow"
      disabled
      i18n="@@COMMON__POST_MENU__FOLLOW_NOTIFICATIONS"
    >
      Follow post
    </li>
    <li
      class="mdl-menu__item"
      *ngIf="asyncFollow && entity['is:following']"
      (click)="unfollow()"
      i18n="@@COMMON__POST_MENU__UNFOLLOW_NOTIFICATIONS"
    >
      Un-follow post
    </li>
    <li
      class="mdl-menu__item"
      *ngIf="asyncFollow && !entity['is:following']"
      (click)="follow()"
      i18n="@@COMMON__POST_MENU__FOLLOW_NOTIFICATIONS"
    >
      Follow post
    </li>
  </ng-container>
  <!-- BLOCK -->
  <ng-container
    *ngIf="
      options.indexOf('block') !== -1 &&
      entity.ownerObj.guid != session.getLoggedInUser().guid
    "
  >
    <li
      class="mdl-menu__item"
      *ngIf="asyncBlockInProgress"
      disabled
      i18n="@@COMMON__POST_MENU__BLOCK_AND_UNBLOCK"
    >
      Block/Unblock
    </li>
    <li
      class="mdl-menu__item"
      *ngIf="!asyncBlockInProgress && !asyncBlock"
      (click)="block()"
      i18n="@@COMMON__POST_MENU__BLOCK"
    >
      Block user
    </li>
    <li
      class="mdl-menu__item"
      *ngIf="!asyncBlockInProgress && asyncBlock"
      (click)="unBlock()"
      i18n="@@COMMON__POST_MENU__UNBLOCK"
    >
      Unblock user
    </li>
  </ng-container>
  <!-- ADMIN EDIT FLAGS -->
  <ng-container
    *ngIf="options.indexOf('set-explicit') !== -1 && session.isAdmin()"
  >
    <li class="mdl-menu__item m-postMenu__item--nsfw">
      <m-nsfw-selector
        service="editing"
        [selected]="entity.nsfw"
        (selected)="onNSFWSelected($event)"
      >
      </m-nsfw-selector>
    </li>
  </ng-container>
  <ng-container *ngIf="options.indexOf('rating') !== -1 && session.isAdmin()">
    <li
      class="mdl-menu__item"
      [hidden]="entity.rating === 1"
      (click)="setRating(1)"
      i18n="@@COMMON__POST_MENU__MARK_AS_SAFE"
    >
      Mark as Safe
    </li>
    <li
      class="mdl-menu__item"
      [hidden]="entity.rating === 2"
      (click)="setRating(2)"
      i18n="@@COMMON__POST_MENU__MARK_AS_OPEN"
    >
      Mark as Open
    </li>
  </ng-container>
  <!-- INJECTED POST ACTIONS -->
  <div (click)="opened = false">
    <ng-content select="[post-menu]"></ng-content>
  </div>
</ul>
<div class="minds-bg-overlay" (click)="opened = false" [hidden]="!opened"></div>

<m-modal-confirm
  *ngIf="deleteToggle"
  [open]="true"
  [closeAfterAction]="true"
  (closed)="deleteToggle = false"
  (actioned)="delete()"
  yesButton="Delete permanently"
  i18n-yesButton="@@M__COMMON__DELETE_PERMANENTLY"
>
  <p confirm-message>
    <ng-container i18n="@@COMMON__POST_MENU__DELETE_MODAL_MESSAGE"
      >Are you sure you want to delete this post? There's no UNDO.</ng-container
    >
    <span
      *ngIf="
        entity.entity_guid &&
        (entity.custom_type == 'batch' || entity.custom_type == 'video')
      "
    >
      <br /><br />
      <b i18n="@@COMMON__POST_MENU__DELETE_MODAL_ATTACHMENT_MESSAGE"
        >This action will also delete the attached media from your gallery.</b
      >
    </span>
  </p>
  <p confirm-success-message>
    <ng-container i18n="@@COMMON__POST_MENU__DELETE_CONFIRMATION_MESSAGE"
      >The post has been deleted.</ng-container
    >
  </p>
</m-modal-confirm>

<m-modal [open]="true" (closed)="onModalClose()" *ngIf="featureToggle">
  <div class="m-button-feature-modal">
    <select [(ngModel)]="featuredCategory">
      <option value="not-selected" i18n="@@COMMON__POST_MENU__SELECT_CATEGORY"
        >-- SELECT A CATEGORY --</option
      >
      <option *ngFor="let category of categories" [value]="category.id">{{
        category.label
      }}</option>
    </select>

    <button class="mdl-button mdl-button--colored" (click)="feature()">
      Feature
    </button>
  </div>
</m-modal>
